## DmapContainerRecord

DmapContainerRecord — The description of an item shared using DACP.

## Functions

guint | dmap_container_record_get_id ()
void | dmap_container_record_add_entry ()
guint64 | dmap_container_record_get_entry_count ()
DmapDb * | dmap_container_record_get_entries ()

## Properties

char * | name | Read / Write

## Object Hierarchy

        GInterface
        ╰── DmapContainerRecord

## Description

DmapContainerRecord objects encapsulate the description of an item shared using DACP.

## Functions

### dmap_container_record_get_id ()

    guint
    dmap_container_record_get_id (DmapContainerRecord *record);

#### Parameters

record | A DmapContainerRecord. |

#### Returns

the ID for the given record.

### dmap_container_record_add_entry ()

    void
    dmap_container_record_add_entry (DmapContainerRecord *container_record,
                                     DmapRecord *record,
                                     gint id,
                                     GError **error);

Add a record to the database. It is assumed that the record is placed directly into the database (not copied) and not freed.

#### Parameters

container_record | A DmapContainerRecord. |
record | A DmapRecord. |
id | The record's ID. |
error | return location for a GError, or NULL. |

### dmap_container_record_get_entry_count ()

    guint64
    dmap_container_record_get_entry_count (DmapContainerRecord *record);

#### Parameters

record | A DmapContainerRecord. |

#### Returns

the number of records in the container record.

### dmap_container_record_get_entries ()

    DmapDb *
    dmap_container_record_get_entries (DmapContainerRecord *record);

#### Parameters

record | A DmapContainerRecord. |

#### Returns

A pointer to a DmapDb containing the entries contained in record.

[transfer full]

## Property Details

### The `“name”` property

      “name”                     char *

Container name.

Owner: DmapContainerRecord

Flags: Read / Write

Default value: NULL